swaynag(1)

NAME

swaynag - Show a warning or error message with buttons

SYNOPSIS

swaynag [options...]

OPTIONS

-b, --button <text> <action>
    Create a button with the text text that executes action when pressed. If the environment variable `TERMINAL` is set, action will be run inside the terminal. Otherwise, it will fallback to running directly. Multiple buttons can be defined by providing the flag multiple times.

-B, --button-no-terminal <text> <action>
    Create a button with the text text that executes action when pressed. action will be run directly instead of in a terminal. Multiple buttons can be defined by providing the flag multiple times.

-c, --config <path>
    The config file to use. By default, the following paths are checked: $HOME/.swaynag/config, $XDG_CONFIG_HOME/swaynag/config, and SYSCONFDIR/swaynag/config. All flags aside from this one and debug are valid options in the configuration file using the format long-option=value. All leading dashes should be omitted and the equals sign is required. See swaynag(5) for more information.

-d, --debug
    Enable debugging.

-e, --edge top|bottom
    Set the edge to use.

-f, --font <font>
    Set the font to use.

-h, --help
    Show help message and quit.

-l, --detailed-message
    Read a detailed message from stdin. A button to toggle details will be added. Details are shown in a scrollable multi-line text area.

-L, --detailed-button <text>
    Set the text for the button that toggles details. This has no effect if there is not a detailed message. The default is Toggle details.

-m, --message <msg>
    Set the message text.

-o, --output <output>
    Set the output to use. This should be the name of a xdg_output.

-s, --dismiss-button <text>
    Sets the text for the dismiss nagbar button. The default is X.

-t, --type <type>
    Set the message type. Two types are created by default error and warning. Custom types can be defined in the config file. See --config and swaynag(5) for details. Both of the default types can be overridden in the config file as well.

-v, --version
    Show the version number and quit.

APPEARANCE OPTIONS

--background <RRGGBB[AA]>
    Set the color of the background.

--border <RRGGBB[AA]>
    Set the color of the border.

--border-bottom <RRGGBB[AA]>
    Set the color of the bottom border.

--button-background <RRGGBB[AA]>
    Set the color for the background for buttons.

--text <RRGGBB[AA]>
    Set the text color.

--border-bottom-size <size>
    Set the thickness of the bottom border.

--message-padding <padding>
    Set the padding for the message.

--details-border-size <size>
    Set the thickness for the details border.

--button-border-size <size>
    Set the thickness for the button border.

--button-gap <gap>
    Set the size of the gap between buttons.

--button-dismiss-gap <gap>
    Set the size of the gap between the dismiss button and another button.

--button-margin-right <margin>
    Set the margin from the right of the dismiss button to edge.

--button-padding <padding>
    Set the padding for the button text.

SEE

swaynag(5)